Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_hook_list_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
struct rb_event_hook_struct * | hooks
rb_event_flag_t | events
unsigned int | need_clean
unsigned int | running

## Detailed Description

Definition at line 565 of file vm_core.h.

## Field Documentation

## ◆ events

rb_event_flag_t rb_hook_list_struct::events

Definition at line 567 of file vm_core.h.

## ◆ hooks

struct rb_event_hook_struct * rb_hook_list_struct::hooks

Definition at line 566 of file vm_core.h.

Referenced by rb_hook_list_mark().

## ◆ need_clean

unsigned int rb_hook_list_struct::need_clean

Definition at line 568 of file vm_core.h.

## ◆ running

unsigned int rb_hook_list_struct::running

Definition at line 569 of file vm_core.h.

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h